package com.community.huiju.model;

import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

public class TpTicketRecordComment {
    private Integer id;

    private Integer communityId;

    private Integer ticketId;

    private Integer ticketRecordId;
    
    private Integer ticketRecordCommentId;

    private Integer uuid;

    private String userType;

    private String content;

    private Integer parentId;

    private String userName;

    private Date createDate;

    private List<TdImages> imgURL;

    public List<TdImages> getImgURL() {
        return imgURL;
    }

    public void setImgURL(List<TdImages> imgURL) {
        this.imgURL = imgURL;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }
    
    public Integer getTicketId() {
        return ticketId;
    }
    
    public void setTicketId(Integer ticketId) {
        this.ticketId = ticketId;
    }
    
    public Integer getTicketRecordId() {
        return ticketRecordId;
    }

    public void setTicketRecordId(Integer ticketRecordId) {
        this.ticketRecordId = ticketRecordId;
    }

    public Integer getUuid() {
        return uuid;
    }

    public void setUuid(Integer uuid) {
        this.uuid = uuid;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType == null ? null : userType.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    
    public Integer getTicketRecordCommentId() {
        return ticketRecordCommentId;
    }
    
    public void setTicketRecordCommentId(Integer ticketRecordCommentId) {
        this.ticketRecordCommentId = ticketRecordCommentId;
    }
}